org.fourthline.cling.model.message.discovery

## Class IncomingSearchResponse

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<O>
  - - org.fourthline.cling.model.message.IncomingDatagramMessage<UpnpResponse>
    - - org.fourthline.cling.model.message.discovery.IncomingSearchResponse

-     public class IncomingSearchResponse
      extends IncomingDatagramMessage<UpnpResponse>

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncomingSearchResponse(IncomingDatagramMessage<UpnpResponse> source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getInterfaceMacHeader()`
    `URL` | `getLocationURL()`
    `Integer` | `getMaxAge()`
    `UDN` | `getRootDeviceUDN()`
    `boolean` | `isSearchResponseMessage()`

    - ### Methods inherited from class org.fourthline.cling.model.message.IncomingDatagramMessage

      `getLocalAddress, getSourceAddress, getSourcePort`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncomingSearchResponse

          public IncomingSearchResponse(IncomingDatagramMessage<UpnpResponse> source)

  - ### Method Detail

    - #### isSearchResponseMessage

          public boolean isSearchResponseMessage()

    - #### getRootDeviceUDN

          public UDN getRootDeviceUDN()

    - #### getLocationURL

          public URL getLocationURL()

    - #### getMaxAge

          public Integer getMaxAge()

    - #### getInterfaceMacHeader

          public byte[] getInterfaceMacHeader()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.